Subject: Re: git subtree push-all and pull-all

From: Herman van Rink <[email-masked]>
Date: Tue, 09 Jul 2013 11:21:58 +0200

On 08-07-13 17:20, Gareth Collins wrote:
> Hello Fredrik,
>
> Thanks for the suggestion! Adding in Paul Campbell and Herman Van Rink
> who worked on this before.

Paul Campbell has been working hard on multiple branches in 
https://github.com/kemitix/git
But work appears to have stopped. :(

There is also a recent blogpost:
http://ruleant.blogspot.nl/2013/06/git-subtree-module-with-gittrees-config.html

Thanks for your interest, I'd love to see this get integrated....

>
> thanks again,
> Gareth
>
> On Sun, Jul 7, 2013 at 8:54 AM, Fredrik Gustafsson <[email-masked]> wrote:
>> On Wed, Jul 03, 2013 at 03:56:36PM -0400, Gareth Collins wrote:
>>> Hello,
>>>
>>> I see over the last year (on the web and in this mailing list) there
>>> was some activity to extend subtree with a .gittrees file and
>>> push-all/pull-all commands.
>>>
>>> Perhaps I missed it, but looking through the latest git code on the
>>> github mirror I can't find any reference to the .gittrees file or
>>> these commands.
>>>
>>> Does anyone know the status of this feature? Was it decided that this
>>> was a bad idea and the feature has been rejected? Or is this a feature
>>> still "cooking"...which will likely make it into git mainline at some
>>> point?
>>>
>>> I ask because I would like to use something like this to be able to
>>> keep a combined repository and separate project repositories in sync.
>>> Of course, if it was decided that this feature is fundamentally a bad
>>> idea then I will do something different.
>>>
>>> Any pointers would be a big help.
>>>
>>> thanks in advance,
>>> Gareth Collins
>> Still no answer to this? I suggest that you CC the persons discussing
>> this the last time.
>>
>> --
>> Med vänliga hälsningar
>> Fredrik Gustafsson
>>
>> tel: 0733-608274
>> e-post: [email-masked]

-- 

Met vriendelijke groet / Regards,

Herman van Rink
Initfour websolutions